Staking
Get validator details
Get detailed information about a specific validator.
GET
/
staking
/
validator-details
Get validator details
curl --request GET \
--url https://public-api.voyager.online/beta/staking/validator-details \
--header 'x-api-key: <api-key>'import requests
url = "https://public-api.voyager.online/beta/staking/validator-details"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://public-api.voyager.online/beta/staking/validator-details', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://public-api.voyager.online/beta/staking/validator-details",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://public-api.voyager.online/beta/staking/validator-details"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://public-api.voyager.online/beta/staking/validator-details")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://public-api.voyager.online/beta/staking/validator-details")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"validatorDetails": {
"address": "<string>",
"totalStakeStrk": "<string>",
"totalStakeBtc": "<string>",
"totalStakePercentageStrk": 123,
"totalStakePercentageBtc": 123,
"totalSelfStake": "<string>",
"totalDelegatedStakeStrk": "<string>",
"totalDelegatedStakeBtc": "<string>",
"totalDelegators": 123,
"revenueShare": 123,
"aprStrk": 123,
"aprBtc": 123,
"rank": "<string>",
"startTime": 123,
"poolInfos": [
{
"tokenAddress": "<string>",
"poolContract": "<string>",
"tokenInfo": {
"tokenAddress": "<string>",
"price": 123,
"decimals": 123,
"logoUrl": "<string>",
"name": "<string>",
"symbol": "<string>"
},
"rewardAddress": "<string>"
}
],
"startingTime": "<string>",
"rewardAddress": "<string>",
"operationalAddress": "<string>",
"name": "<string>",
"imgSrc": "<string>",
"isVerified": false,
"stakerState": "active",
"withdrawalTime": 123,
"unstakingTime": 123,
"stakerAddress": "<string>",
"liveness": 123,
"livenessAttestedEpochs": 123,
"livenessTotalEpochs": 123,
"livenessLastEpoch": 123,
"liveness90d": 123,
"livenessAttestedEpochs90d": 123,
"livenessTotalEpochs90d": 123,
"livenessLastEpoch90d": 123,
"stakingPowerStrk": 123,
"stakingPowerBtc": 123,
"stakingPower": 123,
"description": "<string>",
"website": "<string>",
"socials": {},
"commitmentMaxCommission": 123,
"commitmentExpirationEpoch": 123,
"commitmentExpirationEpochTimestamp": 123
}
}{
"error": "<string>"
}{
"message": "Forbidden"
}{
"error": "<string>"
}{
"message": "Limit Exceeded"
}Authorizations
API key for authentication. Get your key at https://voyager.online/plans
Query Parameters
Staking validator contract address (0x-prefixed hex).
Pattern:
^(0x[0-9a-fA-F]{1,66})$Response
Validator details
Show child attributes
Show child attributes
⌘I
Get validator details
curl --request GET \
--url https://public-api.voyager.online/beta/staking/validator-details \
--header 'x-api-key: <api-key>'import requests
url = "https://public-api.voyager.online/beta/staking/validator-details"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://public-api.voyager.online/beta/staking/validator-details', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://public-api.voyager.online/beta/staking/validator-details",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://public-api.voyager.online/beta/staking/validator-details"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://public-api.voyager.online/beta/staking/validator-details")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://public-api.voyager.online/beta/staking/validator-details")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"validatorDetails": {
"address": "<string>",
"totalStakeStrk": "<string>",
"totalStakeBtc": "<string>",
"totalStakePercentageStrk": 123,
"totalStakePercentageBtc": 123,
"totalSelfStake": "<string>",
"totalDelegatedStakeStrk": "<string>",
"totalDelegatedStakeBtc": "<string>",
"totalDelegators": 123,
"revenueShare": 123,
"aprStrk": 123,
"aprBtc": 123,
"rank": "<string>",
"startTime": 123,
"poolInfos": [
{
"tokenAddress": "<string>",
"poolContract": "<string>",
"tokenInfo": {
"tokenAddress": "<string>",
"price": 123,
"decimals": 123,
"logoUrl": "<string>",
"name": "<string>",
"symbol": "<string>"
},
"rewardAddress": "<string>"
}
],
"startingTime": "<string>",
"rewardAddress": "<string>",
"operationalAddress": "<string>",
"name": "<string>",
"imgSrc": "<string>",
"isVerified": false,
"stakerState": "active",
"withdrawalTime": 123,
"unstakingTime": 123,
"stakerAddress": "<string>",
"liveness": 123,
"livenessAttestedEpochs": 123,
"livenessTotalEpochs": 123,
"livenessLastEpoch": 123,
"liveness90d": 123,
"livenessAttestedEpochs90d": 123,
"livenessTotalEpochs90d": 123,
"livenessLastEpoch90d": 123,
"stakingPowerStrk": 123,
"stakingPowerBtc": 123,
"stakingPower": 123,
"description": "<string>",
"website": "<string>",
"socials": {},
"commitmentMaxCommission": 123,
"commitmentExpirationEpoch": 123,
"commitmentExpirationEpochTimestamp": 123
}
}{
"error": "<string>"
}{
"message": "Forbidden"
}{
"error": "<string>"
}{
"message": "Limit Exceeded"
}